Name: x11-driver-input-keyboard
Version: 1.2.2
Release: %mkrel 10
Summary: Xorg input driver for keyboards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-input-keyboard-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-proto-devel >= 1.4
BuildRequires: x11-server-devel >= 1.4-6mdv
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: x11-server < 1.4

# git format-patch 10792dc1eebf9f718e0cad0b425a8b8307a7ebc7..mandriva
Patch1: 0001-Sun-bug-6425775-Xserver-is-blocked-when-a-program-r.patch
Patch2: 0002-Update-kbd-man-page-to-say-it-has-replaced-keyboard.patch
Patch3: 0003-Don-t-sleep-1-on-VT-entry.patch
Patch4: 0004-Fix-parameters-order-for-printWsType.patch
Patch5: 0005-lnx-Automatically-inherit-the-vt-s-numlock-and-caps.patch
Patch6: 0006-Add-support-for-the-SAVE_CONTEXT-Mandriva-patch.patch
Patch7: 0007-Update-leds-properly-based-on-console-state.patch

%description
This package provide Xorg input driver for keyboards.  The "keyboard" driver is
the standard OS-provided keyboard interface.  It is is built-in to the core X
server, and multiple instances are not supported. A loadable driver, kbd, is
available, and is planned to replace the keyboard driver in a future release of
the Xorg server.

%prep
%setup -q -n xf86-input-keyboard-%{version}

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/input/kbd_drv.la
%{_libdir}/xorg/modules/input/kbd_drv.so
%{_mandir}/man4/kbd.*


%changelog
* Mon Feb 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.2-10mdv2008.1
+ Revision: 165431
- Add an alternate code to handle "inheriting" console leds state.
  This should work properly when the numlock service is on and when it is off.

* Fri Feb 08 2008 Olivier Blin <oblin@mandriva.com> 1.2.2-8mdv2008.1
+ Revision: 164142
- rebuild for latest x11-server (#37594)

* Wed Jan 30 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.2-7mdv2008.1
+ Revision: 160486
- Revert to use only upstream tarballs and only mandatory patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.2-6mdv2008.1
+ Revision: 156581
- re-enable rpm debug packages support

* Mon Jan 21 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.2-5mdv2008.1
+ Revision: 155644
- Remove branch mandriva+gpl. Only non mandatory, new files, should be
  licensed under GPL for now. So, use only mandriva+custom branch for
  mandriva only patches.
  git-cherry-pick 994178e54aef2fa0ba8d11e0a9a7b817279635df, this should
  fix http://qa.mandriva.com/show_bug.cgi?id=36893 as it ensure X Server
  state matches kernel state regarding to keyboard leds.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Update to properly use existing tag xf86-input-keyboard-1.2.2 for generation
  of tarball.
  Note that there are changes from xf86-input-keyboard-1.2.2 to mandriva-branch,
  but since they are only documentation updates and Solaris bug fixes, the
  mandriva branch is kept at a later point from xf86-input-keyboard-1.2.2, and
  just regenerating patches.
  Optionally, the mandriva branch could be set at xf86-input-keyboard-1.2.2 and
  cherry-pick the newer patches, but the end patch would be basically the same,
  so this kind or changes should be done later, to push clear bug fixes to
  mandriva branches.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 28 2007 Paulo Andrade <pcpa@mandriva.com.br> 1.2.2-4mdv2008.1
+ Revision: 113704
- Handle Alt & Control state differently in the save-context patch to avoid
  problems when vt switching.
- More complete check for extra conditions where Ctrl+Alt+Backspace behaviour
  maybe have changed with save context patch.

* Mon Oct 22 2007 Paulo Andrade <pcpa@mandriva.com.br> 1.2.2-3mdv2008.1
+ Revision: 101192
- Build fix
- Check if killing grabs is allowed, i.e. if a screenlocker is running, then
  kill the server and not the client if Ctrl+Alt+Backspace is pressed.
- Update build requires to make sure proper x11-server-devel is already
  installed. Build should not fail if not installed, but would not compile
  with the proper flags.
- Update keyboard driver to match X server patch.
  Note that keyboard needs to be rebuilt after /usr/include/xorg/xorg-server.h
  is updated, to get the proper #define's.

* Thu Oct 11 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.2-2mdv2008.1
+ Revision: 97208
- new upstream version: 1.2.2
  (requires x11-server 1.4 to build)
- remove leds_status.patch (already upstream)
- minor spec cleanup

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages


* Wed Feb 14 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.1-1mdv2007.0
+ Revision: 120837
- 1.2.0 is not intended to be used in xserver 1.2.0, so rolling back to 1.1.1
- add a patch fixing the led status not being correctly updated (#13211)
- rebuild to fix cooker uploading
- Updated drivers for X11R7.1
- increment release
- Adding X.org 7.0 to the repository

  + Thierry Vignaud <tvignaud@mandriva.com>
    - use right tarbarll
    - new release
    - killing old sources
    - fix group
    - fill in more missing descriptions

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

